View Issue Details

IDProjectCategoryView StatusLast Update
0001929PluginsFTP (old)public2011-11-30 18:46
ReporterfibreAssigned To2useven10 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001929: плагин FTP выдаёт ошибку, если его dll переименована.
Descriptionесли переименовать farftp.dll, то при попытке зайти на фтп выдаёт вот такую ошибку:

╔════════════ Error loading... ════════════╗
║ FTP plugin: "Ftp plugin progress dialog" ║
║ With name: "ftpProgress.fll" ║
║ Plugin: can not be found. ║
║ You can not use FTP plugin. ║
╟──────────────────────────────────────────╢
║ { OK } ║
╚══════════════════════════════════════════╝
файл ftpProgress.fll (и ещё два других в этой папке), естественно, на месте.
при возвращении дллке старого имени (farftp.dll), всё работает отлично.
подумал, что это баг, ибо дллки других плагинов переименовываю без последствий.
Steps To Reproduce1. переименовать farftp.dll во что-либо другое, например farftp64.dll
2. перезапустить фар
3. AltF1, FTP.
4. появляется ошибка.
Additional Informationwin7 sp1 x64, far 3.0.2272 x64, ftp 1.75.0.269 (фар и плагин собраны tdm64-gcc 4.6.1)
TagsNo tags attached.

Activities

2useven10

2011-11-30 00:32

developer   bugnote:0008002

А какой смысл в переименовании основной длл-ки, если *.fll переименовать нельзя?

fibre

2011-11-30 01:12

reporter   bugnote:0008003

да, это я уже потом понял, но баг (?) ведь всё равно имеется.
если нет, то можно закрыть тикет.
p.s. в идеале - чтобы можно было переименовать (добавив, к примеру, ту же приставку "64") все эти *.fll файлы и дллку, и чтобы это всё ещё и работало :)

2useven10

2011-11-30 13:12

developer   bugnote:0008004

ftp build 270.
суффикс dll из символов -._x86432 должен быть добавлен ко всем *.fll

fibre

2011-11-30 13:31

reporter   bugnote:0008005

не заработало :( более того, перестало работать даже без переименования.
в папке плагина farftp.dll и farftp-x64.dll (32 и 64 бита соответственно), в папке lib:
ftpdirlist.fll
ftpdirlist-x64.fll
ftpnotify.fll
ftpnotify-x64.fll
ftpprogress.fll
ftpprogress-x64.fll

при вызове плагина ошибка:
╔════════════ Error loading... ════════════╗
║ FTP plugin: "Ftp plugin progress dialog" ║
║ With name: "ftpProgress" ║
║ Plugin: can not be found. ║
║ You can not use FTP plugin. ║

раньше в этом диалоге писало про ftpProgress.dll, а теперь просто ftpProgress, без расширения.

2useven10

2011-11-30 14:13

developer   bugnote:0008006

У меня работает. Повторил Вашу схему. Загрузились 2 набора длл фтп-плагина.
Правда из VStudio... Проверьте, плохо - детали (gcc/vc, dir /s ...)

'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Far.exe', Symbols loaded.
...
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\FarFtp-x64.dll', Symbols loaded.
...
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\FarFtp.dll', Symbols loaded.
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\lib\ftpProgress-x64.fll', Symbols loaded.
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\lib\ftpDirList-x64.fll', Symbols loaded.
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\lib\ftpNotify-x64.fll', Symbols loaded.
...
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\lib\ftpProgress.fll', Symbols loaded.
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\lib\ftpDirList.fll', Symbols loaded.
'far.exe': Loaded 'C:\Projects\far\far3\unicode_far\Debug.64.vc\Plugins\ftp\lib\ftpNotify.fll', Symbols loaded.

fibre

2011-11-30 14:26

reporter   bugnote:0008007

собрал с помощью Visual studio 2010, заработало :)

фразу "Проверьте, плохо - детали (gcc/vc, dir /s ...)" не совсем понял.

вывод dir /s такой:
C:\software\far3\plugins\_standard_plugins\ftp>dir /s
 Том в устройстве C имеет метку Windows7
 Серийный номер тома: 22C0-301F

 Содержимое папки C:\software\far3\plugins\_standard_plugins\ftp

30.11.2011 14:23 <DIR> .
30.11.2011 14:23 <DIR> ..
30.11.2011 13:11 8 797 changelog
30.11.2011 14:19 253 952 farftp-x64.dll
30.11.2011 14:18 216 576 farftp.dll
14.11.2011 14:40 7 505 ftpcmds.txt
14.11.2011 14:40 8 799 ftpcmds_rus.txt
14.11.2011 14:40 86 505 ftpeng.hlf
14.11.2011 14:40 10 307 ftpeng.lng
14.11.2011 14:40 144 321 ftprus.hlf
14.11.2011 14:40 16 561 ftprus.lng
30.11.2011 13:28 <DIR> lib
14.11.2011 14:40 15 099 notes.txt
14.11.2011 14:40 20 034 notes_rus.txt
              11 файлов 788 456 байт

 Содержимое папки C:\software\far3\plugins\_standard_plugins\ftp\lib

30.11.2011 13:28 <DIR> .
30.11.2011 13:28 <DIR> ..
30.11.2011 14:19 90 112 ftpdirlist-x64.fll
30.11.2011 14:18 76 288 ftpdirlist.fll
30.11.2011 14:19 64 512 ftpnotify-x64.fll
30.11.2011 14:18 56 320 ftpnotify.fll
30.11.2011 14:19 93 184 ftpprogress-x64.fll
30.11.2011 14:18 83 968 ftpprogress.fll
               6 файлов 464 384 байт

2useven10

2011-11-30 17:00

developer   bugnote:0008008

build 271

fibre

2011-11-30 17:08

reporter   bugnote:0008009

во, теперь всё супер!
спасибо :)

Issue History

Date Modified Username Field Change
2011-11-29 22:37 fibre New Issue
2011-11-30 00:32 2useven10 Note Added: 0008002
2011-11-30 01:12 fibre Note Added: 0008003
2011-11-30 13:10 2useven10 Assigned To => 2useven10
2011-11-30 13:10 2useven10 Status new => feedback
2011-11-30 13:12 2useven10 Note Added: 0008004
2011-11-30 13:31 fibre Note Added: 0008005
2011-11-30 13:31 fibre Status feedback => assigned
2011-11-30 14:13 2useven10 Note Added: 0008006
2011-11-30 14:26 fibre Note Added: 0008007
2011-11-30 17:00 2useven10 Note Added: 0008008
2011-11-30 17:00 2useven10 Status assigned => feedback
2011-11-30 17:08 fibre Note Added: 0008009
2011-11-30 17:08 fibre Status feedback => assigned
2011-11-30 17:08 fibre Status assigned => resolved
2011-11-30 18:46 2useven10 Status resolved => closed
2011-11-30 18:46 2useven10 Resolution open => fixed
2011-11-30 18:46 2useven10 Fixed in Version => 3.0
2013-05-21 00:30 alexy Category FTP => FTP (old)